package org.expressolivre.cte.calendar.adicionar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-941:Adicionar compromisso com alarme
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-941
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 1, 2011 at 2:10:08 PM
 * 
 */
public class AdicionarCompromissoComAlarmeTestCase extends BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "horaInicial",
			"minutoInicial", "horaFinal", "minutoFinal", "prioridade", "alarme" })
	@Test
	public void adicionarCompromissoComAlarme(@Optional("Normal") String tipo,
			String titulo, @Optional("") String descricao,
			@Optional("") String local, String horaInicial,
			String minutoInicial, String horaFinal, String minutoFinal,
			@Optional("Normal") String prioridade, String alarme) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		AppointmentPage ap = super.adicionarCompromisso(
				sdf.format(cal.getTime()), tipo, titulo, descricao, local,
				sdf2.format(cal.getTime()), horaInicial, minutoInicial,
				sdf2.format(cal.getTime()), horaFinal, minutoFinal, prioridade);

		String[] s = alarme.split("-");
		ap.setAlarmDays(s[0]);
		ap.setAlarmHours(s[1]);
		ap.setAlarmMinutes(s[2]);

		ap.saveAppointment();
	}
}
