package org.expressolivre.cte.calendar.adicionar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-1053:Adicionar compromisso com data inicial/final invalida
 * inicial
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1053
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 28, 2011 at 4:42:08 AM
 * 
 */
public class AdicionarCompromissoDataInicialFinalInvalidaTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
			"minutoFinal", "prioridade" })
	@Test
	public void adicionarCompromissoComDataInicialFinalInvalida(
			@Optional("Normal") String tipo, String titulo,
			@Optional("") String descricao, @Optional("") String local,
			String dataInicial, String horaInicial, String minutoInicial,
			String dataFinal, String horaFinal, String minutoFinal,
			@Optional("Normal") String prioridade) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");

		AppointmentPage ap = super.adicionarCompromisso(
				sdf.format(cal.getTime()), tipo, titulo, descricao, local,
				dataInicial, horaInicial, minutoInicial, dataFinal, horaFinal,
				minutoFinal, prioridade);
		ap.saveAppointment();

		Assert.assertEquals("Você informou uma data inválida.",
				ap.getFormStatus());

	}
}
