package org.expressolivre.cte.calendar.adicionar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar Compromisso
 * 
 * Caso de Teste: EL-1054:Adicionar compromisso com hora inicial/final invalida.
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1054
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 26, 2011 at 10:34:08 AM
 * 
 */
public class AdicionarCompromissoHoraInicialFinalInvalidaTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "horaInicial",
			"minutoInicial", "horaFinal", "minutoFinal", "prioridade" })
	@Test
	public void adicionarCompromissoHoraFinalMenorQueHoraInicial(
			@Optional("Normal") String tipo, String titulo,
			@Optional("") String descricao, @Optional("") String local,
			String horaInicial, String minutoInicial, String horaFinal,
			String minutoFinal, @Optional("Normal") String prioridade) {

		// Pega data corrente.
		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		AppointmentPage ap = super.adicionarCompromisso(
				sdf.format(cal.getTime()), tipo, titulo, descricao, local,
				sdf2.format(cal.getTime()), horaInicial, minutoInicial,
				sdf2.format(cal.getTime()), horaFinal, minutoFinal, prioridade);
		ap.saveAppointment();

		Assert.assertEquals(ap.getFormStatus(),
				"você informou uma hora do dia inválida.");

	}
}
