package org.expressolivre.cte.calendar.pesquisar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-953:Pesquisar compromisso inexistente
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-953
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 2, 2011 at 3:21:36 PM
 * 
 */
public class PesquisarCompromissoInexistenteTestCase extends
		BaseCalendarTestCase {

	/**
	 * Pesquisa um compromisso que nao exista na agenda.
	 * 
	 * @param titulo
	 *            Titulo a ser pesquisado.
	 */
	@Parameters({ "titulo" })
	@Test
	public void pesquisarCompromissoInexistente(String titulo) {
		cp.setSearchText(titulo);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertTrue(asrp.isTextPresent("Nenhum registro encontrado"));
	}

}
