package org.expressolivre.cte.calendar.pesquisar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-955:Pesquisar pela descricao de um compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-955
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 2, 2011 at 4:34:36 PM
 * 
 */
public class PesquisarCompromissoPelaDescricaoTestCase extends
		BaseCalendarTestCase {

	/**
	 * Pesquisa um compromisso que exista na agenda.
	 * 
	 * @param descricao
	 *            Descricao a ser pesquisado.
	 */
	@Parameters({ "descricao" })
	@Test
	public void pesquisarCompromissoPelaDescricao(String descricao) {
		cp.setSearchText(descricao);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertEquals(asrp.getResultsNumber(), "1 ocorrência encontrada.");
	}

}
