package org.expressolivre.cte.calendar.pesquisar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-954:Pesquisar pelo titulo de um compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-954
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 2, 2011 at 4:14:36 PM
 * 
 */
public class PesquisarCompromissoPeloTituloTestCase extends
		BaseCalendarTestCase {

	/**
	 * Pesquisa um compromisso que exista na agenda.
	 * 
	 * @param titulo
	 *            Titulo a ser pesquisado.
	 */
	@Parameters({ "titulo" })
	@Test
	public void pesquisarCompromissoPeloTitulo(String titulo) {
		cp.setSearchText(titulo);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertEquals(asrp.getResultsNumber(), "1 ocorrência encontrada.");
	}

}
